package cn.com.ty.lift.business.emergency.dto;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author wcz
 * @date 2019/12/5
 * @description 根据条件分页查询急修单，条件封装model
 */
@Data
public class RepairRequest extends BaseRequestModel{

    /**
     * 主键id
     */
    private Long id;
    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     * 报修开始时间
     */
    private Date repairBegin;

    /**
     * 报修结束时间
     */
    private Date repairEnd;

    /**
     * 急修单状态
     */
    private Integer status;

    /**
     * 电梯注册代码，多条件字段模糊匹配
     */
    private String info;

    /**
     * 故障来源
     */
    private Integer source;


    /**
     * 接单时间 app端维保工确认
     */
    private LocalDateTime takingTime;

    /**
     *
     * 到达时间 app端维保工打卡
     */
    private LocalDateTime arriveTime;

    /**
     * 签到位置
     */
    private String position;


}
